## kajongg 4.13.0

=== CMakeLists.txt ===
# search packages used by KDE
IF(NOT KDE4_FOUND)
     find_package(KDE4 REQUIRED)
ENDIF(NOT KDE4_FOUND)
include(FindPythonLibrary)
include(FindPyQt4)
include(FindPyKDE4)
include(FindSqlite)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules )
find_package(Twisted REQUIRED)

# The name of the project
# cmake does not really support python projects...
#project(kajongg python) # FIXME this is currently a C++ project and requires a C++ compilier.
set(PROJECT_NAME kajongg)
set(PROGRAM_VERSION 4.6.0)

add_subdirectory( voices )
add_subdirectory( doc )

set(SRCFILES 
src/permutations.py
src/about.py
src/animation.py
src/background.py
src/backgroundselector.py
src/board.py
src/chat.py
src/handboard.py
src/message.py
src/client.py
src/intelligence.py
src/altint.py
src/common.py
src/config.py
src/kdestub.py
src/deferredutil.py
src/differ.py
src/meld.py
src/player.py
src/game.py
src/games.py
src/genericdelegates.py
src/guiutil.py
src/humanclient.py
src/login.py
src/kde.py
src/dialogs.py
src/mainwindow.py
src/move.py
src/modeltest.py
src/playerlist.py
src/predefined.py
src/qt4reactor.py
src/query.py
src/rulesetselector.py
src/hand.py
src/rule.py
src/rulecode.py
src/scene.py
src/scoringdialog.py
src/scoring.py
src/server.py
src/sound.py
src/tables.py
src/tile.py
src/uitile.py
src/tileset.py
src/tilesetselector.py
src/tree.py
src/statesaver.py
src/wall.py
src/uiwall.py
src/visible.py
src/log.py
src/util.py)

IF(NOT PYQT4_FOUND)
    macro_log_feature(PYQT4_FOUND "PyQt4" "PyQt4 was not found. It is needed by kajongg to run. (Use -DINSTALL_KAJONGG=TRUE to install anyway)" "http://www.riverbankcomputing.co.uk/software/pyqt/intro" FALSE "" "")
ENDIF(NOT PYQT4_FOUND)

IF(NOT PYKDE4_FOUND)
    macro_log_feature(PYKDE4_FOUND "PyKDE4" "PyKDE4 was not found. It is needed by kajongg to run. (Use -DINSTALL_KAJONGG=TRUE to install anyway)" "http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/" FALSE "" "")
ENDIF(NOT PYKDE4_FOUND)

IF(NOT SQLITE_FOUND)
    macro_log_feature(SQLITE_FOUND "SQLite" "SQLite was not found. It is needed by kajongg to run. (Use -DINSTALL_KAJONGG=TRUE to install anyway)" "http://www.sqlite.org/" FALSE "" "")
ENDIF(NOT SQLITE_FOUND)

IF(NOT TWISTED_FOUND)
    MESSAGE("Twisted was not found. It is needed by kajongg to run.")
    macro_log_feature(TWISTED_FOUND "Twisted" "Twisted was not found. It is needed by kajongg to run. (Use -DINSTALL_KAJONGG=TRUE to install anyway)" "http://www.twistedmatrix.com/" FALSE "" "")
ENDIF(NOT TWISTED_FOUND)

IF(PYQT4_FOUND AND PYKDE4_FOUND AND SQLITE_FOUND AND TWISTED_FOUND)
    SET(INSTALL_KAJONGG TRUE)
ENDIF(PYQT4_FOUND AND PYKDE4_FOUND AND SQLITE_FOUND AND TWISTED_FOUND)

IF(INSTALL_KAJONGG)
    PYKDE4_INSTALL_PYTHON_FILES(${SRCFILES})
    install(FILES src/kajongg.py src/kajonggserver.py DESTINATION ${DATA_INSTALL_DIR}/kajongg)
    install(FILES src/tilesetselector.ui src/backgroundselector.ui DESTINATION ${DATA_INSTALL_DIR}/kajongg)
    install(FILES src/kajonggui.rc DESTINATION ${DATA_INSTALL_DIR}/kajongg)
    PYKDE4_ADD_EXECUTABLE(kajongg.py kajongg)
    PYKDE4_ADD_EXECUTABLE(kajonggserver.py kajonggserver)
    kde4_install_icons(${ICON_INSTALL_DIR})
    install(PROGRAMS kajongg.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
ENDIF(INSTALL_KAJONGG)

macro_display_feature_log()

## kajongg 4.10.0

=== debian/changelog ===
kajongg (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:31:06 +0000

kajongg (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:56:46 +0000

kajongg (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:17 +0100

kajongg (4:4.9.95-0ubuntu1) raring; urgency=low

  * Install to /usr/games
  * Version dependency on kdegames-data
  * New upstream RC release
  * Add kubuntu_01_licence_file.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:58 +0000

kajongg (4:4.9.90-0ubuntu2) raring; urgency=low

  * Add breaks/replaces against kdegames-mahjongg-data << 4:4.9.90 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 08 Dec 2012 21:06:57 +0100

kajongg (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release
  * Add build-deps on runtime dependencies, needed to install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:36:05 +0000

=== debian/control ===
Source: kajongg
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools,
               pkg-config,
               python-kde4,
               libsqlite3-dev,
               python-twisted,
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kajongg
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 8.2.0),
 python-qt4-sql (>= 4.6), python-kde4 (>= 4.3.0), libsqlite3-0 (>= 3.5.0),
 libqt4-sql-sqlite (>= 4.6), libkmahjongglib-data, vorbis-tools, kdegames-data (>= ${source:Upstream-Version})
Breaks: kdegames-mahjongg-data (<< 4:4.9.90)
Replaces: kdegames-mahjongg-data (<< 4:4.9.90)
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

## kajongg 4.10.2

=== debian/changelog ===
kajongg (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:26 +0200

kajongg (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:13:06 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
                pkg-config,
                python-kde4,

## kajongg 4.10.3

=== debian/changelog ===
kajongg (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - drop version from kdegames-data dependency as libkdegames has no update

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:03:00 +0200

kajongg (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:26 +0200

kajongg (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:13:06 +0000

kajongg (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:31:06 +0000

kajongg (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:56:46 +0000

kajongg (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:17 +0100

kajongg (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * Install to /usr/games
  * Version dependency on kdegames-data
  * New upstream RC release
  * Add kubuntu_01_licence_file.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:58 +0000

kajongg (4:4.9.90-0ubuntu2) raring-proposed; urgency=low

  * Add breaks/replaces against kdegames-mahjongg-data << 4:4.9.90 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 08 Dec 2012 21:06:57 +0100

kajongg (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * Initial release
  * Add build-deps on runtime dependencies, needed to install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:36:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.3),
                libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
                pkg-config,
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 8.2.0),
  python-qt4-sql (>= 4.6), python-kde4 (>= 4.3.0), libsqlite3-0 (>= 3.5.0),
- libqt4-sql-sqlite (>= 4.6), libkmahjongglib-data, vorbis-tools, kdegames-data (>= ${source:Upstream-Version})
+ libqt4-sql-sqlite (>= 4.6), libkmahjongglib-data, vorbis-tools, kdegames-data
 Breaks: kdegames-mahjongg-data (<< 4:4.9.90)
 Replaces: kdegames-mahjongg-data (<< 4:4.9.90)
 Description: classical Mah Jongg game

## kajongg 4.11.2

=== debian/changelog ===
kajongg (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:57:45 +0100

kajongg (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:05:40 +0100

kajongg (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:57:51 +0100

kajongg (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:05:24 +0100

kajongg (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Move binaries from /usr/bin to /usr/games by hand as dh_python2 ignores
    BIN_INSTALL_DIR

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:48 +0000

kajongg (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:59:16 +0100

kajongg (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * Use --with=python2
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:46:37 +0100

kajongg (4:4.10.4-0ubuntu2) saucy; urgency=low

  * Depend on kdegames-mahjongg-data instead of libkmahjongglib-data which
    doesn't exist anymore (LP: #1189431) 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 10 Jun 2013 14:34:52 +0200

kajongg (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Jun 2013 23:35:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.3),
-               libkdegames-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.11.2),
+               libkdegames-dev (>= 4:4.11.2),
                pkg-kde-tools,
                pkg-config,
                python-kde4,
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 8.2.0),
  python-qt4-sql (>= 4.6), python-kde4 (>= 4.3.0), libsqlite3-0 (>= 3.5.0),
- libqt4-sql-sqlite (>= 4.6), libkmahjongglib-data, vorbis-tools, kdegames-data
+ libqt4-sql-sqlite (>= 4.6), kdegames-mahjongg-data, vorbis-tools, kdegames-data (>= ${source:Upstream-Version})
 Breaks: kdegames-mahjongg-data (<< 4:4.9.90)
 Replaces: kdegames-mahjongg-data (<< 4:4.9.90)
 Description: classical Mah Jongg game

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

dh = --with=python2

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	$(overridden_command)
	mv debian/kajongg/usr/bin debian/kajongg/usr/games

## kajongg 4.12.3

=== debian/changelog ===
kajongg (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:22:47 +0100

kajongg (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:18:53 +0100

kajongg (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:37:21 +0000

kajongg (4:4.12.1-0ubuntu2) trusty; urgency=medium

  * Make sure files in the private dir are compiled (LP: #649721)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 23 Jan 2014 08:55:50 +0100

kajongg (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:56:55 +0000

kajongg (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:25:38 +0000

kajongg (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:31:52 +0000

kajongg (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:43:29 +0100

kajongg (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.11.2),
-               libkdegames-dev (>= 4:4.11.2),
+               kdelibs5-dev (>= 4:4.12.3),
+               libkdegames-dev (>= 4:4.12.3),
                pkg-kde-tools,
                pkg-config,
                python-kde4,
@@ -13,6 +13,8 @@
 Standards-Version: 3.9.3
 Section: games
 Homepage: http://www.kde.org
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
 
 Package: kajongg
 Architecture: all

## kajongg 4.13.0

=== debian/changelog ===
kajongg (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:37:53 +0100

kajongg (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:09:27 +0200

kajongg (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:56:01 +0100

kajongg (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:36:05 +0000

kajongg (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.12.3),
-               libkdegames-dev (>= 4:4.12.3),
+               kdelibs5-dev (>= 4:4.13.0),
+               libkdegames-dev (>= 4:4.13.0),
                pkg-kde-tools,
                pkg-config,
                python-kde4,

## kajongg 4.13.2

=== debian/changelog ===
kajongg (4:4.13.2-0ubuntu0.2) trusty; urgency=medium

  * Drop versioned dep on kdegames-data
    - kdegames-data is built from another source, depending on the
      source:Version of kdegames-data is therefore logically wrong since
      it's possible that kdegames-data is at version A whereas the version
      of kajong is B, causing funky depends.

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 26 Jun 2014 12:33:23 +0200

kajongg (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:46:01 +0200

kajongg (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.13.0),
-               libkdegames-dev (>= 4:4.13.0),
+               kdelibs5-dev (>= 4:4.13.2),
+               libkdegames-dev (>= 4:4.13.1),
                pkg-kde-tools,
                pkg-config,
                python-kde4,
@@ -20,7 +20,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-twisted-core (>= 8.2.0),
  python-qt4-sql (>= 4.6), python-kde4 (>= 4.3.0), libsqlite3-0 (>= 3.5.0),
- libqt4-sql-sqlite (>= 4.6), kdegames-mahjongg-data, vorbis-tools, kdegames-data (>= ${source:Upstream-Version})
+ libqt4-sql-sqlite (>= 4.6), kdegames-mahjongg-data, vorbis-tools, kdegames-data
 Breaks: kdegames-mahjongg-data (<< 4:4.9.90)
 Replaces: kdegames-mahjongg-data (<< 4:4.9.90)
 Description: classical Mah Jongg game

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,8 @@
 override_dh_auto_install:
 	$(overridden_command)
 	mv debian/kajongg/usr/bin debian/kajongg/usr/games
+
+
+override_dh_python2:
+	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajongg
+	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajonggserver

## kajongg 4.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 add_subdirectory( voices )
 add_subdirectory( doc )
 
-set(SRCFILES 
+set(SRCFILES
 src/permutations.py
 src/about.py
 src/animation.py
@@ -74,6 +74,11 @@
 src/uiwall.py
 src/visible.py
 src/log.py
+src/qstring.py
+src/qt.py
+src/qt4.py
+src/qt5.py
+src/configdialog.py
 src/util.py)
 
 IF(NOT PYQT4_FOUND)

=== debian/changelog ===
kajongg (4:4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:42 +0200

kajongg (4:4.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 23:41:38 +0200

kajongg (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes
  * Add upstream_install_missing_files.diff to install qt.py, qt4.py and qt5.py

  [ Jonathan Riddell ]
  * new upstream release
  * Remove upstream_install_missing_files.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:29 +0100

kajongg (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 09:23:31 +0200

kajongg (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:41 +0200

kajongg (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:35 +0100

kajongg (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Add autopkgtests.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:36 +0100

kajongg (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:34 +0100

kajongg (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:29:49 +0200

kajongg (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:45:40 +0200

kajongg (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:33:45 +0200

kajongg (4:4.10.2-2) experimental; urgency=low

  * Fix erroneous Upstream-Name in debian/copyright.
  * Simplify debian/copyright.
  * Reshuffle build-dependencies to reduce resolver tries.
  * Add a basic manpage.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 May 2013 15:42:09 +0200

kajongg (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 08 Apr 2013 13:40:32 +0200

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14),
               python (>= 2.6.6-3~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kajongg.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kajongg.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data (>= 4:4.10),
         libqt4-sql-sqlite (>= 4.6),
         python-kde4 (>= 4:4.3.0),
         python-qt4-sql (>= 4.6),
         python-twisted-core (>= 8.2.0),
         vorbis-tools,
         ${misc:Depends},
         ${python:Depends}
Recommends: khelpcenter4
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kajongg-([\d.]+).tar.xz

## kajongg 4.14.2

=== debian/changelog ===
kajongg (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:36:56 +0200

kajongg (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:59:20 -0700

kajongg (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:28:32 +0200

kajongg (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:32:47 +0200

kajongg (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:14:21 +0200

kajongg (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:26:09 +0200

kajongg (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on pkg-config, libsqlite3-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kajongg
 Section: games
 Priority: optional
-Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,19 +13,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14),
-               python (>= 2.6.6-3~)
+               python (>= 2.6.6-3~),
+               pkg-config,
+               libsqlite3-dev,
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kajongg.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kajongg.git
-X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
-X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kajongg
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kajongg.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kajongg.git
 
 Package: kajongg
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games -DINSTALL_KAJONGG=TRUE

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_python2:
	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajongg
	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajonggserver

generate-icons:
	while read src dest; do \
		convert debian/tmp/$$src debian/icons/$$dest; \
	done <debian/icon-list

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d\.]*)/src/kajongg-([\d\.]*).tar.xz

## kajongg 14.12.3

=== debian/changelog ===
kajongg (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:02:14 -0700

kajongg (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:55:41 -0800

kajongg (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:23:22 +0100

kajongg (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 11:51:27 +0100

kajongg (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 09:30:15 -0800

kajongg (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Removed VCS bzr no longer applicable.
  * Debian merge, remaining changes:
    Kept the not-installed file with *.pyc because they are
    indeed not installed.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 11:38:38 +0000

kajongg (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:59:20 -0700

kajongg (4:4.14.1-1.1) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 25 Oct 2014 17:01:14 -0300

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.3),
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python (>= 2.6.6-3~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kajongg.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kajongg.git

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data (>= 4:4.10),
         libqt4-sql-sqlite (>= 4.6),
         python-kde4 (>= 4:4.3.0),
         python-qt4-sql (>= 4.6),
         python-twisted-core (>= 8.2.0),
         vorbis-tools,
         ${misc:Depends},
         ${python:Depends}
Recommends: khelpcenter
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kajongg-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kajongg-([\d.]+).tar.xz

## kajongg 15.08.2

=== debian/changelog ===
kajongg (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:54:02 +0100

kajongg (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:14:00 +0100

kajongg (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:06:03 +0100

kajongg (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:31:04 +0100

kajongg (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update install file.

  [ Scarlett Clark ]
  * kde4 games need to depend on 14.12 series libkdegames.  
  * Fix install file. 
  * Remove the old install entry. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.3),
+               libkdegames-dev,
                libsqlite3-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
 Homepage: http://games.kde.org/

## kajongg 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -111,6 +111,7 @@
     PYKDE4_ADD_EXECUTABLE(kajonggserver.py kajonggserver)
     kde4_install_icons(${ICON_INSTALL_DIR})
     install(PROGRAMS kajongg.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+    install(FILES kajongg.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)
 ENDIF(INSTALL_KAJONGG)
 
 macro_display_feature_log()

=== debian/changelog ===
kajongg (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:58:49 -0700

kajongg (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian Merge: No remaining changes.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:26:44 +0100

kajongg (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:33:25 +0000

kajongg (4:15.08.3-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:03 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,9 @@
                libsqlite3-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
-               python (>= 2.6.6-3~)
+               python (>= 2.6.6-3~),
+               python-twisted-core
 Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-XS-Testsuite: autopkgtest
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kajongg.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kajongg.git

## kajongg 16.04.3

=== debian/changelog ===
kajongg (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:36:54 +0200

kajongg (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libkdegames-dev,
                libsqlite3-dev,
                pkg-config,
@@ -21,8 +21,8 @@
                python-twisted-core
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kajongg.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kajongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 
 Package: kajongg
 Architecture: all

## kajongg 16.08.3

=== debian/changelog ===
kajongg (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:41 +0100

kajongg (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 16:35:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev,
                libkdegames-dev,
                libsqlite3-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python (>= 2.6.6-3~),
                python-twisted-core
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-applications/kajongg.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-applications/kajongg.git
 
 Package: kajongg
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,3 @@
 override_dh_python2:
 	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajongg
 	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajonggserver
-
-generate-icons:
-	while read src dest; do \
-		convert debian/tmp/$$src debian/icons/$$dest; \
-	done <debian/icon-list

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kajongg-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kajongg-([\d.]+).tar.xz

## kajongg 16.12.3

=== debian/changelog ===
kajongg (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:13 +0000

kajongg (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:51 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libkdegames-dev,
                libsqlite3-dev,
                pkg-config,
@@ -21,8 +21,8 @@
                python-twisted-core
 Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-applications/kajongg.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-applications/kajongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 
 Package: kajongg
 Architecture: all

## kajongg 17.12.3

=== po/de/data/kajongg/CMakeLists.txt ===
add_subdirectory(voices)

=== debian/changelog ===
kajongg (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:47 +0000

kajongg (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:32 +0000

kajongg (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Update testsuite to run with python3

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Dec 2017 12:38:47 +0000

kajongg (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)

  [ Rik Mills ]
  * Merge debian changes
  * New upstream release (17.04.3)
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:22 +0000

kajongg (4:16.12.1-0ubuntu2) UNRELEASED; urgency=medium

  * Add appstream and python3-twisted as build deps

 -- Clive Johnston <clivejo@kubuntu.org>  Sun, 29 Jan 2017 01:04:48 +0000

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: appstream,
               cmake (>= 2.8.12~),
               debhelper (>= 10),
               dh-python,
               extra-cmake-modules (>= 1.2.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev,
               libkf5kdelibs4support5-bin,
               libkf5kmahjongglib-dev (>= 4:17.12.3~),
               libqt5svg5-dev (>= 5.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python3 (>= 3.5.0~),
               python3-twisted (>= 16.6.0~),
               qtbase5-dev (>= 5.2~)
Standards-Version: 4.1.0
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kajongg.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kajongg.git

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data-kf5,
         python3-pyqt5.qtsvg,
         python3-twisted (>= 16.6.0~),
         ${misc:Depends},
         ${python3:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5 --buildsystem kf5 --with python3 --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

override_dh_python3:
	dh_python3 -p kajongg /usr/share/kajongg

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential
Restrictions: build-needed allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kajongg-([\d.]+).tar.xz
